//**************************************************************************
// ﾌｧｲﾙ内容     「aqm1248test.ino」AQM1248液晶シールド　テストプログラム(RMC-RA4M1 rev.2.0)
// Copyright    ジャパンマイコンカーラリー実行委員会
// ライセンス   This software is released under the MIT License.
//              http://opensource.org/licenses/mit-license.php
//**************************************************************************

// インクルード宣言
#include <MGLCD.h>                // 出典；しなぷすのハード製作記　https://synapse.kyoto/lib/MGLCD/page001.html

// グローバル変数の宣言
MGLCD_AQM1248A_SoftwareSPI MGLCD(MGLCD_SpiPin4( 12, 11, 10, 9),0); // (SCK,MOSI,CS,DI),Wait

void setup()
{
  pinMode( 8 , OUTPUT );          // バックライト

  // LCDの初期化
  while( MGLCD.Reset() );         // CS=10pin  RS=9pin  SCLK=13pin  SDI=11pin
  if( strlen("ｱ") != 1 ) MGLCD.SetCodeMode( MGLCD_CODE_UTF8 );  // 半角カナ表示の有効化
  MGLCD.SetVolumeResistor( 28 );  // コントラストの調整 0～63
  MGLCD.ClearScreen();

  MGLCD.Locate( 0, 0 );                   // 左から0番目 , 上から0番目
  MGLCD.print( "000000000011111111112" ); // 横21文字
  MGLCD.print( "012345678901234567890" );

  for( char i = ':'; i<= '}'; i++ ) {
    MGLCD.print( i );
  }
  MGLCD.print( "ｱｲｳｴｵｶｷｸｹｺｬｭｮﾜﾝｦ" );       // 半角カタカナ表示
}

void loop()
{
  digitalWrite( 8, 1 );   // バックライトON
  delay( 1000 );          // 1000ms時間稼ぎ
  digitalWrite( 8, 0 );   // バックライトOFF
  delay( 1000 );          // 1000ms時間稼ぎ
}