#ifndef MCR_AQM0802_SOFT_I2C_H
#define MCR_AQM0802_SOFT_I2C_H

#include "Arduino.h"

/* 表示文字数 */
#define LCD_MAX_X 8                   // 横文字数  8 or 16 or 20
#define LCD_MAX_Y 2                   // 縦文字数  1 or  2 or  4

class MCR_AQM0802_SOFT_I2C{
  public:
    void init( uint16_t sda_pin, uint16_t scl_pin, uint8_t c = 11 );
    void begin( uint16_t sda_pin, uint16_t scl_pin, uint8_t c = 11 );
    void setContrast( byte c );
    void setPosition( char x, char y );
    int printf( const char *format, ... );

  private:
    void soft_i2c_write( unsigned char data );
    void soft_i2c_beginTransmission( unsigned char data );
    void soft_i2c_endTransmission( void );
    void writeCmd(byte command);
    void writeData(byte data);
    uint16_t _sda;                    // SDA端子
    uint16_t _scl;                    // SCL端子
    uint8_t contrast = 11;            // コントラスト0-63 実測で5V=11
    int lcdPosition_x = 0;
    int lcdPosition_y = 0;
};

#endif // MCR_AQM0802_SOFT_I2C_H